package dao;

import java.util.Map;

public class Delete extends SQLStmt {
    private static final String fs = "DELETE ";
    private Map<String,String> limits;

    Delete(String table, Map<String, String> limits) {
        super(table);
        this.setLimits(limits);
    }
    @Override
    public String getSQL() {
        return this.getFs()+this.getLs();
    }
    private String getLs(){
        return dao.Utils.whereAnd(this.getLimits());
    }
    public String getFs(){
        return fs+this.getTable()+" ";
    }

    private Map<String, String> getLimits() {
        return limits;
    }

    private void setLimits(Map<String, String> limits) {
        this.limits = limits;
    }
}
